## com.google.appengine.api.search
Class ListIndexesResponse

    java.lang.Object
      com.google.appengine.api.search.ListIndexesResponse

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<Index>

    public final class ListIndexesResponse

extends java.lang.Object
implements java.lang.Iterable<Index>, java.io.Serializable

Represents a result of executing a `ListIndexesRequest`. The response contains a list of `Index` that the application has access to.

See Also:
  Serialized Form

Method Summary
`java.util.List<Index>` `getIndexes()`
`java.util.Iterator<Index>` `iterator()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### iterator

    public java.util.Iterator<Index> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<Index>`

### getIndexes

    public java.util.List<Index> getIndexes()

  Returns:
    an unmodifiable list of `Index` that an application has access to

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`